/*
*
* Dynamic Ads + Pixel
*
* @author    BusinessTech.fr - https://www.businesstech.fr
* @copyright Business Tech - https://www.businesstech.fr
* @license   Commercial
*
*           ____    _______
*          |  _ \  |__   __|
*          | |_) |    | |
*          |  _ <     | |
*          | |_) |    | |
*          |____/     |_|
*
*/

$(document).ready(function () {
    $(".alert-success").delay(2000).slideUp();
    $(".alert-danger").delay(10000).slideUp();


    $('input.autocmp').each(function (index, element) {
        $(element).click(function () {
            $(this).val('');
        });
        $(element).keyup(function () {
            $.ajax({
                url: btFbda.taxonomyController,
                dataType: "json",
                data: {
                    ajax: 1,
                    token: token,
                    tab: 'AdminTaxonomy',
                    action: 'autocomplete',
                    query: $(this).val(),
                },
                beforeSend: function () {
                    $('#' + $(element).attr('id')).css("background", "#dc3545");
                },
                success: function (taxonomies) {
                    if (taxonomies) {
                        htmlContent = '<ul class="suggestion" id="taxonomy_list">'
                        $.each(taxonomies, function(i, item) {
                            console.log(item);
                            htmlContent += '<li id="result_search_' + i + '" onClick="oFpa.getSelectedTaxonomy('+ i +',' + $(element).attr('category_id') + ');">' + item + '</li>';
                        });
                        htmlContent += '</ul>'
                        $('#' + $(element).attr('id')).css("background", "#FFF");
                        $('#suggesstion-box_' + $(element).attr('category_id')).show();
                        $('#suggesstion-box_' + $(element).attr('category_id')).html(htmlContent);
                    } else {
                        $('#' + $(element).attr('id')).css("background", "#ffc107");
                        $('.suggestion').hide();
                    }
                },
            });
        });
    });
});