{*
*
* Dynamic Ads + Pixel
*
* @author    BusinessTech.fr - https://www.businesstech.fr
* @copyright Business Tech - https://www.businesstech.fr
* @license   Commercial
*
*           ____    _______
*          |  _ \  |__   __|
*          | |_) |    | |
*          |  _ <     | |
*          | |_) |    | |
*          |____/     |_|
*
*}

<div id="bt_new-feed" class="bootstrap col-xs-12">

	<script type="text/javascript">
		{literal}
			var oCustomCallBack = [{
					'name': 'displayFeedList',
					'url' : '{/literal}{$sURI}{literal}',
					'params' : '{/literal}{$sCtrlParamName|escape:'htmlall':'UTF-8'}{literal}={/literal}{$sController|escape:'htmlall':'UTF-8'}{literal}&sAction={/literal}{$aQueryParams.feedList.action|escape:'htmlall':'UTF-8'}{literal}&sType={/literal}{$aQueryParams.feedList.type|escape:'htmlall':'UTF-8'}{literal}',
					'toShow': 'bt_feed-list-settings',
					'toHide': 'bt_feed-list-settings',
					'bFancybox': false,
					'bFancyboxActivity': false,
					'sLoadbar': null,
					'sScrollTo': null,
					'oCallBack': {}
				},
				{
					'name': 'displayFeed',
					'url' : '{/literal}{$sURI}{literal}',
					'params' : '{/literal}{$sCtrlParamName|escape:'htmlall':'UTF-8'}{literal}={/literal}{$sController|escape:'htmlall':'UTF-8'}{literal}&sAction={/literal}{$aQueryParams.feedDisplay.action|escape:'htmlall':'UTF-8'}{literal}&sType={/literal}{$aQueryParams.feedDisplay.type|escape:'htmlall':'UTF-8'}{literal}',
					'toShow': 'bt_feed-settings',
					'toHide': 'bt_feed-settings',
					'bFancybox': false,
					'bFancyboxActivity': false,
					'sLoadbar': null,
					'sScrollTo': null,
					'oCallBack': {}
				},
				{
					'name': 'displayFacebook',
					'url' : '{/literal}{$sURI}{literal}',
					'params' : '{/literal}{$sCtrlParamName|escape:'htmlall':'UTF-8'}{literal}={/literal}{$sController|escape:'htmlall':'UTF-8'}{literal}&sAction={/literal}{$aQueryParams.taxonomy.action|escape:'htmlall':'UTF-8'}{literal}&sType={/literal}{$aQueryParams.taxonomy.type|escape:'htmlall':'UTF-8'}{literal}',
					'toShow': 'bt_settings-categories',
					'toHide': 'bt_settings-categories',
					'bFancybox': false,
					'bFancyboxActivity': false,
					'sLoadbar': null,
					'sScrollTo': null,
					'oCallBack': {}
				}
			];
		{/literal}
	</script>

	<form class="form-horizontal" style="min-width: 600px;" method="post" id="bt_form-new-feed" name="bt_form-new-feed" {if $useJs == true}onsubmit="oFpa.form('bt_form-new-feed', '{$sURI|escape:'htmlall':'UTF-8'}', null, 'bt_new-feed', 'bt_new-feed', false, true, oCustomCallBack, 'CustomTag', 'loadingNewFeedDiv');return false;" {/if}>
		<input type="hidden" name="{$sCtrlParamName|escape:'htmlall':'UTF-8'}" value="{$sController|escape:'htmlall':'UTF-8'}" />
		<input type="hidden" name="sAction" value="{$aQueryParams.newFeed.action|escape:'htmlall':'UTF-8'}" />
		<input type="hidden" name="sType" value="{$aQueryParams.newFeed.type|escape:'htmlall':'UTF-8'}" />

		<h3 class="breadcrumb"><i class="fa fa-feed"></i>&nbsp;{l s='Add an additional feed' mod='facebookproductad'}</h3>

		{if !empty($bUpdate)}
			{include file="`$sConfirmInclude`"}
		{elseif !empty($aErrors)}
			<div class="alert alert-warning">
				{l s='This data feed already exists. You will find it in the "My feeds" tab.' mod='facebookproductad'}
			</div>
		{/if}
		<div class="alert alert-info">
			{l s='If none of the Language/Country/Currency/Taxonomy combinations automatically generated by the module to list your data feeds is suitable for you, you can create an additional feed corresponding to your custom combination. Fill in the language, country, currency and taxonomy for this new feed and save. You will find your custom feed with the others, in the "My feeds" tab. Read' mod='facebookproductad'}&nbsp;<a class="badge badge-info" target="_blank" href="{$faqLink|escape:'htmlall':'UTF-8'}/faq/508"><i class="icon icon-link"></i>&nbsp;{l s='our FAQ' mod='facebookproductad'}</a>&nbsp;{l s='for more information.' mod='facebookproductad'}
		</div>
		<div class="form-group">
			<label class="control-label col-xs-12 col-md-3 col-lg-3">
				<span class="label-tooltip" title="{l s='Select the language to associate with your new feed, among the languages installed on your shop.' mod='facebookproductad'}"><b>{l s='New feed language:' mod='facebookproductad'}</b></span></label>
			<div class="col-xs-12 col-md-4 col-lg-7">
				<select name="bt-new-feed-lang" id="bt-new-feed-lang">
					{foreach from=$shop_lang item=lang}
						<option value="{$lang.iso_code}">{$lang.name}</option>
					{/foreach}
				</select>

			</div>
			<span class="icon-question-sign label-tooltip" title="{l s='Select the language to associate with your new feed, among the languages installed on your shop.' mod='facebookproductad'}">&nbsp;</span>
		</div>

		<div class="form-group">
			<label class="control-label col-xs-12 col-md-3 col-lg-3">
				<span class="label-tooltip" title="{l s='Select the country to associate with your new feed, among the countries installed on your shop.' mod='facebookproductad'}"><b>{l s='New feed country:' mod='facebookproductad'}</b></span></label>
			<div class="col-xs-12 col-md-4 col-lg-7">
				<select name="bt-new-feed-country" id="bt-new-feed-country">
					{foreach from=$country_shop item=country}
						<option value="{$country.iso_code}">{$country.name}</option>
					{/foreach}
				</select>

			</div>
			<span class="icon-question-sign label-tooltip" title="{l s='Select the country to associate with your new feed, among the countries installed on your shop.' mod='facebookproductad'}">&nbsp;</span>
		</div>

		<div class="form-group">
			<label class="control-label col-xs-12 col-md-3 col-lg-3">
				<span class="label-tooltip" title="{l s='Select the currency to associate with your new feed, among the currencies installed on your shop.' mod='facebookproductad'}"><b>{l s='New feed currency:' mod='facebookproductad'}</b></span></label>
			<div class="col-xs-12 col-md-4 col-lg-7">
				<select name="bt-new-feed-currency" id="bt-new-feed-lang">
					{foreach from=$currency_shop item=currency}
						<option value="{$currency.iso_code}">{$currency.name}</option>
					{/foreach}
				</select>
			</div>
			<span class="icon-question-sign label-tooltip" title="{l s='Select the currency to associate with your new feed, among the currencies installed on your shop.' mod='facebookproductad'}">&nbsp;</span>
		</div>

		<div class="form-group">
			<label class="control-label col-xs-12 col-md-3 col-lg-3">
				<span class="label-tooltip" title="{l s='Select the taxonomy to associate with your new feed, among the available taxonomies. The taxonomy is the Facebook official classification of product categories.' mod='facebookproductad'}"><b>{l s='New feed taxonomy:' mod='facebookproductad'}</b></span></label>
			<div class="col-xs-12 col-md-4 col-lg-7">
				<select name="bt-new-feed-taxonomy" id="bt-new-feed-lang">
					{foreach from=$taxonomies item=taxonomy}
						<option value="{$taxonomy}">{$taxonomy}</option>
					{/foreach}
				</select>
			</div>
			<span class="icon-question-sign label-tooltip" title="{l s='Select the taxonomy to associate with your new feed, among the available taxonomies. The taxonomy is the Facebook official classification of product categories.' mod='facebookproductad'}">&nbsp;</span>
		</div>

		<div id="{$sModuleName|escape:'htmlall':'UTF-8'}NewFeedError"></div>

		<div class="clr_hr"></div>
		<div class="clr_20"></div>

		<div class="navbar navbar-default navbar-fixed-bottom text-center">
			<button class="btn btn-submit" onclick="oFpa.form('bt_form-new-feed', '{$sURI|escape:'htmlall':'UTF-8'}', null, 'bt_new-feed', 'bt_new-feed', false, false, oBasicCallBack, 'CustomTag', 'loadingNewFeedDiv', false, 2);return false;">{l s='Save' mod='facebookproductad'}</button>
		</div>
	</form>
</div>
<div id="loadingNewFeedDiv" style="display: none;">
	<div class="alert alert-info">
		<p style="text-align: center !important;"><img src="{$sLoadingImg|escape:'htmlall':'UTF-8'}" alt="Loading" /></p>
		<div class="clr_20"></div>
		<p style="text-align: center !important;">{l s='The update of your configuration is in progress...' mod='facebookproductad'}</p>
	</div>
</div>

{literal}
	<script type="text/javascript">
		$(document).ready(function() {
			$('.label-tooltip, .help-tooltip').tooltip();
		});
	</script>
{/literal}